> ## Documentation Index
> Fetch the complete documentation index at: https://paragraph.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user by ID

> Retrieve detailed information about a specific user



## OpenAPI

````yaml /paragraph-api/openapi.json get /v1/users/{userId}
openapi: 3.1.0
info:
  title: Paragraph API
  version: 1.0.0
  description: >-
    Public API for interacting with Paragraph publications, posts, users, and
    coined writing.


    ## Rate Limiting

    API requests are rate-limited to ensure fair usage. Contact
    support@paragraph.com for higher limits.


    ## Pagination

    List endpoints support cursor-based pagination using `cursor` and `limit`
    parameters.
  contact:
    name: Paragraph Support
    email: support@paragraph.com
    url: https://paragraph.com/support
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://public.api.paragraph.com/api
    description: Production server
security:
  - {}
tags:
  - name: publications
    description: Operations related to publications
  - name: posts
    description: Operations related to posts and content
  - name: users
    description: Operations related to users and authors
  - name: coins
    description: Operations related to tokenized content
  - name: subscribers
    description: Operations related to subscriber management (requires API key)
paths:
  /v1/users/{userId}:
    get:
      tags:
        - users
      summary: Get user by ID
      description: Retrieve detailed information about a specific user
      operationId: getUser
      parameters:
        - name: userId
          in: path
          required: true
          schema:
            type: string
          description: Unique identifier of the user
      responses:
        '200':
          description: User details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the user
                  walletAddress:
                    type: string
                    pattern: ^0x[a-fA-F0-9]{40}$
                    description: Wallet address of the user
                  avatarUrl:
                    type: string
                    format: uri
                    description: URL to the user's avatar image
                  publicationId:
                    type: string
                    description: ID of the publication this user belongs to
                  name:
                    type: string
                    description: Display name of the user
                  bio:
                    type: string
                    maxLength: 500
                    description: Brief biography of the user (max 500 characters)
                  farcaster:
                    type: object
                    properties:
                      username:
                        type: string
                        description: Farcaster username
                      displayName:
                        type: string
                        description: Farcaster display name
                      fid:
                        type: number
                        description: Farcaster fid
                    required:
                      - username
                      - displayName
                      - fid
                    description: Farcaster profile information, if linked
                required:
                  - id
                  - publicationId
        '404':
          description: User not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    description: Always false for error responses
                  msg:
                    type: string
                    description: Human-readable error message
                required:
                  - success
                  - msg
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                    description: Always false for error responses
                  msg:
                    type: string
                    description: Human-readable error message
                required:
                  - success
                  - msg
      x-codeSamples:
        - lang: typescript
          label: Get user by ID
          source: >-
            import { ParagraphAPI } from "@paragraph-com/sdk"


            const api = new ParagraphAPI()

            const user = await api.users.get({ id: "AeAOtR8TqKWyzG5apA1R"
            }).single()

````